# $Id: diags.spec.in 5663 2006-03-07 22:26:55Z bos $

%define ver 1.0
%define RELEASE 1
%define rel %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}

Summary: OpenIB InfiniBand Diagnostic Tools
Name: openib-diags 
Version: %ver
Release: %rel%{?dist}
License: GPL/BSD
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: http://openib.org/downloads/%{name}-%{version}.tar.gz
Url: http://openib.org/
BuildRequires: libibmad-devel

%description
This package provides IB diagnostic programs and scripts needed to
diagnose an IB subnet.

%prep
%setup -q

%build
%configure
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/discover.pl
%{_bindir}/ib*
%{_bindir}/perfquery
%{_bindir}/sm*

%changelog
* Mon Feb 27 2006 Hal Rosenstock <halr@voltaire.com> - 1.0.0-rc1
- Initial spec file and release
